Name:		libeio
Version:	3.65
Release:	3%{?dist}
Summary:	Event-based fully asynchronous I/O library

Group:		System Environment/Libraries
License:	MIT or GPLv2+
URL:		http://software.schmorp.de/pkg/libeio.html
Source0:	libeio.tar.gz
# cvs -rrel-3_65 -z3 -d :pserver:anonymous@cvs.schmorp.de/schmorpforge co libeio
# tar czf libeio.tar.gz libeio
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	autoconf automake libtool

%description
Libeio is a full-featured asynchronous I/O library for C, modeled in
similar style and spirit as libev. Features include: asynchronous read,
write, open, close, stat, unlink, fdatasync, mknod, readdir etc. (basically
the full POSIX API). sendfile (native on solaris, linux, hp-ux, freebsd,
emulated everywhere else), readahead (emulated where not available).

It is fully event-library agnostic and can easily be integrated into any
event-library (or used standalone, even in polling mode). It is very portable
and relies only on POSIX threads.


%package devel
Group:          Development/Libraries
Summary:        Development headers and libraries for libeio
Requires:       %{name} = %{version}-%{release}

%description devel
Development headers and libraries for libeio


%prep
%setup -q -n %{name}


%build
[ -e configure ] || ./autogen.sh
%configure
make %{?_smp_mflags} CFLAGS="-D_GNU_SOURCE %{optflags}"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_libdir}/libeio.so.*
%exclude %{_libdir}/libeio.a
%exclude %{_libdir}/libeio.la
%doc LICENSE Changes


%files devel
%{_includedir}/eio.h
%{_libdir}/libeio.so


%changelog
* Wed Sep 29 2010 jkeating - 3.65-3
- Rebuilt for gcc bug 634757

* Mon Sep 20 2010 Lubomir Rintel <lkundrak@v3.sk> - 3.65-2
- Call ldconfig (Peter Lemenkov)
- Fix spelling errors
- Use correct compiler flags

* Fri Sep 17 2010 Lubomir Rintel <lkundrak@v3.sk> - 3.65-1
- Initial packaging
